import Tkinter as Tk
import tkMessageBox
import tkFileDialog
import sys,time,os
import numpy as np
import math as ma
import csv
root = Tk.Tk()
root.geometry("460x65")
root.resizable(0,0)

class cal(Tk.Frame):
    def __init__(self,master=None): 
        Tk.Frame.__init__(self,master)
        self.master.title('D2O ratio calulator')
        self.tokei=Tk.Label(self,text='D2O ratio=',font='Arial, 25')
        b2 = Tk.Button(self,text='Exit',command=sys.exit,background="yellow")
        b2.grid(row=0, column=2,columnspan=1, padx=5, pady=2,sticky=Tk.W+Tk.E)
        self.tokei.grid(row=3, column=0,columnspan=4, padx=5, pady=2,sticky=Tk.W+Tk.E)
        self.s1 = Tk.Spinbox(self, from_ = 0, to = 1000, increment = 0.001)
        self.s1.grid(row=0, column=1, padx=5, pady=2)
        b5 = Tk.Button(self,text='input area ratio of (peak2/peak1)?',command=self.dvis,background="red")
        b5.grid(row=0, column=0,columnspan=1, padx=5, pady=2,sticky=Tk.W+Tk.E)
        
    def dvis(self):
    	ss1=self.s1.get()
    	cc=float(ss1)
    	print cc
    	if(cc<1):
    		a=np.zeros(3)
    		a[0]=-9.8046e-6
    		a[1]=-0.026503
    		a[2]=-cc+2.8662
    		j=0
    		print np.roots(a)
    		while(j<2):
    			if((np.roots(a)[j].imag == 0.0) and (np.roots(a)[j].real <= 100.0) and (np.roots(a)[j].real >= 30.0)):
    				print np.roots(a)[j]
    				t=np.roots(a)[j].real
    				m=np.round(t,1)
    				self.tokei.config(text="D2O ratio="+str(m)+"%",foreground="blue") 
    			j=j+1
    	else:				
    		a=np.zeros(5)
    		a[0]=-8.2103e-08 
    		a[1]=2.4373e-05
    		a[2]=-0.0026954
    		a[3]=0.10454 
    		a[4]=-cc+0.45293
    		j=0
    		print np.roots(a)
    		while(j<4):
    			if((np.roots(a)[j].imag == 0.0) and (np.roots(a)[j].real <= 100.0)and (np.roots(a)[j].real >= 30.0)):
    				print np.roots(a)[j]
    				t=np.roots(a)[j].real
    				m=np.round(t,1)
    				self.tokei.config(text="D2O ratio="+str(m)+"%",foreground="blue") 
    			j=j+1
    	     
	def exit(self):
		root.quit()	
    	        
if __name__ == '__main__':
    f = cal()
    f.pack()
    f.mainloop()	
	